# Pass-Master 🔐

[![PyPI version](https://badge.fury.io/py/pass-master.svg)](https://pypi.org/project/pass-master/)
[![GitHub](https://img.shields.io/github/license/Maxthecoder123/pass-master)](https://github.com/Maxthecoder123/pass-master)

A secure, feature-rich command-line password manager with encryption and modern UI.

## Features ✨

- 🔒 **Secure Password Storage**
  - Strong encryption using Fernet (symmetric encryption)
  - Master key stored securely in system keyring
  - Passwords never stored in plain text

- 🎲 **Password Generation**
  - Generate strong random passwords
  - Customizable length
  - Includes uppercase, lowercase, numbers, and special characters

- 📊 **Password Strength Checking**
  - Minimum length requirements
  - Character variety requirements
  - Visual feedback on password strength

- 📋 **Clipboard Integration**
  - Quick copy passwords to clipboard
  - Automatic clipboard copy for generated passwords

- 🏷️ **Organization**
  - Categorize passwords
  - Search functionality
  - List and filter capabilities

- 💾 **Backup & Restore**
  - Export passwords to JSON
  - Import passwords from JSON
  - Progress tracking for bulk operations

- 🎨 **Modern UI**
  - Beautiful terminal interface
  - Color-coded information
  - Progress indicators and spinners

## Installation 📦

### Option 1: Install from PyPI (Recommended)

## Links 🔗
- PyPI Package: [https://pypi.org/project/pass-master/](https://pypi.org/project/pass-master/)
- GitHub Repository: [https://github.com/Maxthecoder123/pass-master](https://github.com/Maxthecoder123/pass-master)